#include <bits/stdc++.h>
using namespace std;

int main() {
    
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int n, sum = 0;
    cin >> n;
	int a[n];
    for(int i = 0; i <= n; i++){
        cin >> a[i];
    }
    for(int i = 0; i <= n; i++){
        int f;
        f = a[n - i - 1];
        if(f >= 1){
            sum += f;
        }
        for(int j = 0; j <= n - i - 1; j++){
            if(a[j] != f){
                a[j]-=1;
            }
        }
    }
    cout << sum << endl;
}